org.apache.hadoop.hdfs.protocol

## Class CacheDirectiveInfo

- java.lang.Object
- - org.apache.hadoop.hdfs.protocol.CacheDirectiveInfo

-     @InterfaceStability.Evolving
       @InterfaceAudience.Public
      public class CacheDirectiveInfo
      extends Object

  Describes a path-based cache directive.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `org.apache.hadoop.hdfs.protocol.CacheDirectiveInfo.Expiration` | `getExpiration()`
    `Long` | `getId()`
    `Path` | `getPath()`
    `String` | `getPool()`
    `Short` | `getReplication()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public Long getId()

      Returns:
        The ID of this directive.

    - #### getPath

          public Path getPath()

      Returns:
        The path used in this request.

    - #### getReplication

          public Short getReplication()

      Returns:
        The number of times the block should be cached.

    - #### getPool

          public String getPool()

      Returns:
        The pool used in this request.

    - #### getExpiration

          public org.apache.hadoop.hdfs.protocol.CacheDirectiveInfo.Expiration getExpiration()

      Returns:
        When this directive expires.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022 Apache Software Foundation. All rights reserved.